#!/usr/bin/bash

our_name="$(basename "$0")"
tag="${our_name%.sh}"
if (nmcli --get-value ipv4.method --escape no connection show "$CONNECTION_ID" | grep -q "manual")
then
        logger -p info -t "$tag" "Connection $CONNECTION_ID is manually handled, skipping..."
        exit 0
fi

if (nmcli --get-value GENERAL.HWADDR --escape no device show "$DEVICE_IFACE" | grep -q "^02:00:00:")
then
        logger -p info -t "$tag" "Configuring VPC connection $CONNECTION_ID"
        metric=$(nmcli connection show "$CONNECTION_UUID" | grep ipv4.route-metric | awk '{ print $2 }')
        if ((metric != 50)); then
                nmcli connection modify "$CONNECTION_UUID" ipv4.route-metric 50
                nmcli connection up "$CONNECTION_UUID"
        fi
        logger -p info -t "$tag" "Connection $CONNECTION_ID configured"
else
        logger -p info -t "$tag" "Connection $CONNECTION_ID ignored"
fi
